package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasModelAnalyse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BasModelAnalyseMapper extends BaseMapper<BasModelAnalyse> {
    int updateBatch(List<BasModelAnalyse> list);

    int updateBatchSelective(List<BasModelAnalyse> list);

    int batchInsert(@Param("list") List<BasModelAnalyse> list);
}